> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/segmentsusersupload.md).

# /segments/users/upload

Allows you to upload a list of users and their assigned segments from a DMP into Adnuntius.

## POST

An example `POST` request is shown below.

```http
POST https://api.adnuntius.com/api/v1/segments/users/upload?context=<context>
```

```javascript
[
    {
        "userId": "3645poiuyt",
        "siteId": "ghjfk56479",
        "segments": ["fjhgasjh8", "asfjhj435", "jshg43fs"],
        "dataSource": "ADNUNTIUS"
    },
    {
        "userId": "asdfgh56473",
        "siteId": "fgsh4658djk",
        "segments": ["sfjh346s", "sjfhgsj345"],
        "dataSource": "ADNUNTIUS",
        "updateMode": "ADD"
    }
]
```

NOTE: You are restricted to uploading 1000 users per request, and to 500 of those requests per 2 minutes.

| Name       | Restriction                               | Description                                              |
| ---------- | ----------------------------------------- | -------------------------------------------------------- |
| userId     | String                                    | Identification of the user                               |
| siteId     | String                                    | Identification of the site                               |
| segments   | String\[]                                 | A list of segment-ids that this user is assigned to      |
| dataSource | ADNUNTIUS, ADOBE, CXENSE, LYTICS, RELAY42 | The DMP providing the segmentation.                      |
| updateMode | REPLACE, ADD, REMOVE                      | Replace, add or remove the segments from the user record |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/segmentsusersupload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
